public class Example1
{
    public static void main(String[] args) {
    	System.out.print("before foo\n");
        foo();
    }
    static void foo() {
    	System.out.print("before goo\n");
        goo();
    }
    static void goo() {
    	System.out.print("before hi\n");
        System.out.println("hi");
    }
}

